Subject: Kexec and KVM not working gracefully together

From: [email-masked] (AKASHI Takahiro)
Date: Thu, 05 Feb 2015 19:27:30 +0900

On 02/05/2015 06:43 PM, Marc Zyngier wrote:
> On Thu, 5 Feb 2015 06:17:04 +0000
> AKASHI Takahiro <[email-masked]> wrote:
>
>> Frediano
>> Cc: Marc
>>
>> Are you going to fix this issue on arm?
>> As I'm now working on the same issue on arm64,
>> we should share the idea and some code.
>
> Just to be perfectly clear: KVM support for Kexec on arm and arm64
> should be exactly the same, with the exception of some (very
> limited) assembly code for the MMU teardown.

Yep, that's exactly what I meant.

> And I'd like to see both architectures addressed at the same time,
> without statements such as "we'll do that as a next step". As such, I'd
> very much recommend that Frediano and you work together to address this
> problem.

I hope so.

Thanks,
-Takahiro AKASHI

> Thanks,
>          M.